commit 44ba3f8291e5640045d501f130f8a4521fc407b3
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Jan 8 22:53:43 2023 +0100

    libspectre 0.2.12

 NEWS         | 7 +++++++
 configure.ac | 4 ++--
 2 files changed, 9 insertions(+), 2 deletions(-)

commit cc3f0f9260912b7bd238838830d0f7ddd30a8881
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Jan 8 12:34:50 2023 +0100

    Fix exporting to pdf
    
    setpdfwrite has not done anything for a while according to
    https://git.ghostscript.com/?p=ghostpdl.git;a=commit;h=9699aea5cf6491106a2ad1be260d9eb2e85903c3

 libspectre/spectre-exporter-pdf.c | 10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)

commit 7ec4f0110698d7e43309e4c7aa821303f3698b9b
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Nov 4 00:09:15 2022 +0100

    release: 0.2.11

 NEWS         | 7 +++++++
 configure.ac | 4 ++--
 2 files changed, 9 insertions(+), 2 deletions(-)

commit 0205c12924a63f326e0b6f11153aba4eebdcd551
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Nov 4 00:06:18 2022 +0100

    CI: Fix ubuntu:21.04 CI

 .gitlab-ci.yml | 3 +++
 1 file changed, 3 insertions(+)

commit 66dc111212930fa7f936ea3ed69a566febef5f4c
Author: Marek Kasik <mkasik@redhat.com>
Date:   Fri Mar 25 15:18:00 2022 +0100

    Avoid possible crash when loading a document
    
    Check for result of openning of a file in spectre_document_load()
    and don't proceed if there was an error.

 libspectre/spectre-document.c | 4 ++++
 1 file changed, 4 insertions(+)

commit 8d0515492504f5e4cf3dd9ddf3e89360f0a67e91
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Feb 12 11:37:35 2022 +0100

    release: 0.2.10

 NEWS         | 11 +++++++++++
 configure.ac |  4 ++--
 2 files changed, 13 insertions(+), 2 deletions(-)

commit 66299f05ed419b5b6ee5495f8ee5e8d670bfd1c4
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Sep 25 01:47:29 2020 +0200

    Use the new api to pass the callbacks
    
    Needs ghostscript >= 9.53

 .gitlab-ci.yml              |  6 +++---
 configure.ac                |  4 ++--
 libspectre/spectre-device.c | 47 +++++++++++++++++++++++++++------------------
 libspectre/spectre-gs.c     | 20 ++++---------------
 libspectre/spectre-gs.h     |  6 ++++--
 5 files changed, 41 insertions(+), 42 deletions(-)

commit 4d34d6cfe9bd8fc7b8355a39502374d9d6426ed0
Author: Marek Kasik <mkasik@redhat.com>
Date:   Mon Nov 29 16:27:57 2021 +0100

    Set alignment for rendering to default
    
    Previous aligning to 32 bytes rendered EPS in wrong way (not always but often).
    Setting default alignment which aligns to size of pointer fixes this issue.
    
    The commit which set it to the 32 was talking about alignment of 4 bytes so I guess
    that there were bits interchanged with bytes.
    
    Fixes #44

 libspectre/spectre-device.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6928e8933e8b6c98c0590985866cc12e7321f491
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Dec 26 12:21:22 2020 +0100

    Free the previous user_image in case spectre_presize is called multiple times

 libspectre/spectre-device.c | 1 +
 1 file changed, 1 insertion(+)

commit 155777e316aa1bbc0f3be9ed7a6e7a9b76b58968
Author: Randy <randy408@protonmail.com>
Date:   Thu May 14 08:52:41 2020 +0200

    remove version suffix from ghostscript directory

 test/ossfuzz.sh | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit 5e1a10e97c29c06756e65a97c7f9e23117eb3646
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed May 6 22:07:40 2020 +0200

    release: 0.2.9

 NEWS         | 17 +++++++++++++++++
 configure.ac |  4 ++--
 2 files changed, 19 insertions(+), 2 deletions(-)

commit 8d026495dc62fd4a1f41c95c1eea22589e2b623e
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Apr 26 19:18:04 2020 +0200

    Move spectre_document_load_from_stream to spectre-private.h for now
    
    Not ready for the prime time

 libspectre/spectre-document.h | 9 ---------
 libspectre/spectre-private.h  | 9 +++++++++
 test/spectre_read_fuzzer.c    | 1 +
 3 files changed, 10 insertions(+), 9 deletions(-)

commit 3639f1fe932d8374dd482de4e01457afe3e43a34
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Apr 13 15:51:08 2020 +0200

    Make sure we don't read uninitialized memory from text
    
    oss-fuzz/21670

 libspectre/ps.c | 4 ++++
 1 file changed, 4 insertions(+)

commit 465a5c66e5e1ea04a8f70105b1db4ef8051c0428
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Apr 10 19:26:21 2020 +0200

    Initialize varibles if reading fails
    
    This way we don't do uninitizlied memory uses later on
    
    oss-fuzz/21638

 libspectre/ps.c | 44 ++++++++++++++++++++++++++++++--------------
 1 file changed, 30 insertions(+), 14 deletions(-)

commit af1cb4cb719dcb94314bbefc78b59ac426b8fed2
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Apr 8 23:52:43 2020 +0200

    Fix uninitialized memory read on malformed documents

 libspectre/ps.c | 24 +++++++++++++-----------
 1 file changed, 13 insertions(+), 11 deletions(-)

commit 48735999ca27fca8f154aa15c078c4576ab64ae5
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Apr 8 23:52:43 2020 +0200

    Fix uninitialized memory read on malformed documents

 libspectre/ps.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit dd7168828cf07971adc8c24bab0f3b6e3d28e0c9
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Apr 8 23:09:45 2020 +0200

    Fix crash on malformed files

 libspectre/ps.c | 14 ++++++++------
 1 file changed, 8 insertions(+), 6 deletions(-)

commit f56ba915e3f125130f131cca8a89580e1990c0e2
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Mar 28 18:59:50 2020 +0100

    Fix memory leak
    
    oss-fuzz/21240

 libspectre/ps.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit c37b6b33d0558fa84936cb7b7f40694282f9c05a
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Mar 28 19:02:54 2020 +0100

    CI: use debian testing while unstable is broken

 .gitlab-ci.yml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 945d39259c0ca1dfd6c594a9d3ed971152313190
Author: Randy <randy408@protonmail.com>
Date:   Tue Mar 10 23:48:10 2020 +0100

    fix memory leak in ps.c:650

 libspectre/ps.c | 1 +
 1 file changed, 1 insertion(+)

commit a6329a26cbc8a920cf56531a762bfbf62b3ddc9d
Author: Randy <randy408@protonmail.com>
Date:   Tue Mar 10 21:34:26 2020 +0000

    Refactor spectre_document_load_from_data() -> _stream()

 libspectre/spectre-document.c | 47 ++++++++++---------------------------------
 libspectre/spectre-document.h | 16 +++++++--------
 test/spectre_read_fuzzer.c    | 17 ++++++++++++++--
 3 files changed, 33 insertions(+), 47 deletions(-)

commit 567f72a04dcc5e883e708bd2a3a149e818c1c12f
Author: Randy <randy408@protonmail.com>
Date:   Sat Mar 7 10:49:20 2020 +0100

    fix memory leak in ps.c:603

 libspectre/ps.c | 1 +
 1 file changed, 1 insertion(+)

commit ebc0c1ef2e36cb50267689cc44338a17d2895725
Author: Randy <randy408@protonmail.com>
Date:   Sat Mar 7 10:11:03 2020 +0100

    fix NULL-dereference in psscan.c:934

 libspectre/ps.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 3bff18aa496ff00b9ddd127c83241a4399850ef0
Author: Randy <randy408@protonmail.com>
Date:   Tue Mar 3 08:33:22 2020 +0000

    fix NULL-dereference in psscan()
    
    Fixes https://bugs.chromium.org/p/oss-fuzz/issues/detail?id=20986

 libspectre/ps.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 79741b6e1b8abdcb7366d4f35d9bfa041854bfab
Author: Randy <randy408@protonmail.com>
Date:   Mon Mar 2 20:58:40 2020 +0000

    Fix memory leak
    
    Fixes https://bugs.chromium.org/p/oss-fuzz/issues/detail?id=20283

 libspectre/ps.c | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

commit 836217c48d2b499f9dda2dcc848cf1dc85a4b18a
Author: Randy <randy408@protonmail.com>
Date:   Sat Feb 29 10:47:54 2020 +0100

    ossfuzz: integrate into build, add entrypoint

 test/Makefile.am | 16 +++++++++++++++-
 test/README      |  9 +++++++++
 test/fuzz_main.c | 54 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 78 insertions(+), 1 deletion(-)

commit 920c30cf1d4353b28266fc91f88b2ae72e0f5e4f
Author: Randy <randy408@protonmail.com>
Date:   Sat Feb 29 10:55:27 2020 +0000

    Add spectre_document_load_from_data(), update fuzz target

 libspectre/spectre-document.c | 53 +++++++++++++++++++++++++++++++++++++------
 libspectre/spectre-document.h | 13 +++++++++++
 test/spectre_read_fuzzer.c    | 14 +++---------
 3 files changed, 62 insertions(+), 18 deletions(-)

commit ca205d084434915127e64a9d54eafd05cdee872b
Author: Randy <randy408@protonmail.com>
Date:   Wed Feb 19 14:33:03 2020 +0100

    ossfuzz: fix coverage build

 test/ossfuzz.sh | 39 +++++++++++++++++++++++++++++++++++++++
 1 file changed, 39 insertions(+)

commit 7ae80bff9ee04793a1c0d59e538da7802f81a43d
Author: Randy <randy408@protonmail.com>
Date:   Tue Feb 18 21:33:37 2020 +0000

    Refactor code so that psscan() can accept a FILE*, this will enable parsing from fmemopen()'d buffers. I figured this should be merged separately before spectre_document_load_from_data() is added.

 libspectre/ps.c               | 11 +----------
 libspectre/ps.h               |  1 +
 libspectre/spectre-document.c | 14 +++++++++++++-
 test/parser-test.c            |  2 +-
 4 files changed, 16 insertions(+), 12 deletions(-)

commit bdc1caaeb22832a0dc1f7420a497cd2382d5edd6
Author: Randy <randy408@protonmail.com>
Date:   Thu Feb 13 16:43:36 2020 +0100

    ossfuzz: add dictionary, update build script

 test/ossfuzz.sh      |  7 +++++--
 test/postscript.dict | 58 ++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 63 insertions(+), 2 deletions(-)

commit cc41bfe79d2ab2f72a3a11ae1db946f7575e891a
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Jan 5 22:35:10 2020 +0100

    Revert "ossfuzz: keep shared libraries after install"
    
    This reverts commit 9b1e58286c7c72baaba55f07bfb42db03240fecf.

 test/ossfuzz.sh | 1 +
 1 file changed, 1 insertion(+)

commit 9b1e58286c7c72baaba55f07bfb42db03240fecf
Author: Randy <randy408@protonmail.com>
Date:   Wed Jan 1 23:15:59 2020 +0100

    ossfuzz: keep shared libraries after install

 test/ossfuzz.sh | 1 -
 1 file changed, 1 deletion(-)

commit 1a367871cbe7dab1a70be0779ba1b0306e41e760
Author: Randy <randy408@protonmail.com>
Date:   Sun Dec 8 20:04:20 2019 +0100

    fix leak in spectre_device_render()

 libspectre/spectre-device.c | 3 +++
 1 file changed, 3 insertions(+)

commit ceeeec8ee480c9cce066c0921665ef647bd5c135
Author: Randy <randy408@protonmail.com>
Date:   Tue Nov 26 16:07:07 2019 +0100

    update ossfuzz.sh

 test/ossfuzz.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a75690875044349b24c521db87db8065da294d16
Author: Randy <randy408@protonmail.com>
Date:   Tue Nov 26 15:48:53 2019 +0100

    update fuzz target

 test/spectre_read_fuzzer.c  | 49 +++++++++++++++++++++++++++++++++++++++++++++
 test/spectre_read_fuzzer.cc | 46 ------------------------------------------
 2 files changed, 49 insertions(+), 46 deletions(-)

commit de4eaa73e94516ba6c8ddda364cf2f59b4eb28ca
Author: Randy <randy408@protonmail.com>
Date:   Sun Nov 24 11:42:17 2019 +0100

    fix indentation

 test/spectre_read_fuzzer.cc | 14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

commit fc996641b011adbf21e4205a32ac02f6543f5fd4
Author: Randy <randy408@protonmail.com>
Date:   Wed Nov 20 12:36:56 2019 +0100

    add build script, fuzz target

 test/ossfuzz.sh             | 20 ++++++++++++++++++++
 test/spectre_read_fuzzer.cc | 46 +++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 66 insertions(+)

commit 90000c9d5c1d0928e02da0a799bb81676589e073
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sat Oct 20 00:17:47 2018 +0200

    spectre-gs: Remove support for old ghostscript
    
    Now that we require a recent ghostscript, we can remove
    the support for older versions.

 libspectre/spectre-device.c |  9 +++------
 libspectre/spectre-gs.c     | 21 +++++----------------
 2 files changed, 8 insertions(+), 22 deletions(-)

commit 75e154f89565af475ef4c9c9a01a805eadb9405e
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sat Oct 20 00:17:47 2018 +0200

    spectre-gs: Enforce minimum ghostscript version
    
    Ghostscript versions before 9.24 had a critical vulnerability
    allowing to escape -dSAFER; refuse to do anything if the version
    is less than 9.24.
    
    https://gitlab.freedesktop.org/libspectre/libspectre/issues/25

 configure.ac            |  2 +-
 libspectre/spectre-gs.c | 12 +++++++++++-
 2 files changed, 12 insertions(+), 2 deletions(-)

commit 48696f7e724923564dd6c8908afdb7c9d4893f02
Author: Albert Astals Cid <albert.astals.cid@kdab.com>
Date:   Fri Oct 19 18:03:51 2018 +0200

    Make clang happy
    
    ps.c:1875:9: warning: promoted type 'int' of K&R function parameter is not compatible with the parameter type 'char' declared in a previous prototype [-Wknr-promoted-parameter]
       char charP;
            ^
    ps.c:197:88: note: previous declaration is here
    static char    *readlineuntil PT((FileData, long, char **, long *, unsigned int *, char));
                                                                                           ^
    ps.c:2212:13: warning: promoted type 'int' of K&R function parameter is not compatible with the parameter type 'unsigned short' declared in a previous prototype [-Wknr-promoted-parameter]
        PS_WORD val;
                ^
    ps.c:206:48: note: previous declaration is here
    static PS_WORD         reorder_word PT((PS_WORD));

 libspectre/ps.c | 11 ++---------
 1 file changed, 2 insertions(+), 9 deletions(-)

commit 92a478f926ded10dc15726e31998d041d6ff7794
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Oct 19 21:07:36 2018 +0200

    Hide internal symbols
    
    Use hidden visibility by default and make only the public API
    symbols visible.
    
    https://gitlab.freedesktop.org/libspectre/libspectre/issues/30

 configure.ac                        | 33 +++++++++++++++++++++++++++++++++
 libspectre/Makefile.am              |  3 +++
 libspectre/spectre-document.h       | 20 ++++++++++++++++++++
 libspectre/spectre-exporter.h       |  6 +++++-
 libspectre/spectre-macros.h         |  8 ++++++++
 libspectre/spectre-page.h           |  8 ++++++++
 libspectre/spectre-render-context.h | 14 ++++++++++++++
 libspectre/spectre-status.h         |  1 +
 test/Makefile.am                    | 12 ++++++++++--
 9 files changed, 102 insertions(+), 3 deletions(-)

commit 17c72f0560bf079cbd0e6df5dd3445cb8f05660a
Author: Albert Astals Cid <albert.astals.cid@kdab.com>
Date:   Fri Oct 19 17:41:01 2018 +0200

    Make gcc happy about switch fallthrough

 libspectre/ps.c | 1 +
 1 file changed, 1 insertion(+)

commit 818ff44e1e1e665efeeccc2a58c6453949368638
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Oct 13 00:39:28 2018 +0200

    Fix crash with malformed document
    
    Closes issue #14

 libspectre/ps.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f4f8cb65e01e62c86354a6697307f9549136a66e
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Oct 13 00:08:49 2018 +0200

    Add basic CI

 .gitlab-ci.yml | 38 ++++++++++++++++++++++++++++++++++++++
 1 file changed, 38 insertions(+)

commit f88d2c259242936bbc3c74bf43107626c0f5ad61
Author: Caolán McNamara <caolanm@redhat.com>
Date:   Fri Jan 13 09:56:14 2017 +0000

    state what lib is printing the error
    
    and where it originally came from
    
    so its clear where
    
    "undefined -21" came from in cases like
    https://bugzilla.gnome.org/show_bug.cgi?id=678500
    
    https://bugs.freedesktop.org/show_bug.cgi?id=99395

 libspectre/spectre-gs.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 1cdaa3fa1da8e0b3b1d2df8cfa5027d2a7b24418
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Sat Jul 2 10:07:09 2016 +0200

    release: 0.2.8

 NEWS         | 16 ++++++++++++++++
 configure.ac |  4 ++--
 2 files changed, 18 insertions(+), 2 deletions(-)

commit 974f3ef9dd389448fbe81c4a4f19d679d4d30374
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Sat Jul 2 10:06:13 2016 +0200

    build: Fix make distcheck

 Makefile.am | 9 ++++++---
 1 file changed, 6 insertions(+), 3 deletions(-)

commit 38bb113d18ac0e7872dfac311295c8f42e9a260f
Author: Marek Kasik <mkasik@redhat.com>
Date:   Wed Jan 7 18:35:16 2015 +0100

    Rotate documents correctly with newer libgs versions
    
    Rotate result of rendering given by ghostscript when libgs >= 9.08.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=76450

 libspectre/spectre-device.c | 108 +++++++++++++++++++++++++++++++++++++++++++-
 1 file changed, 106 insertions(+), 2 deletions(-)

commit 316168c4dc24932a832a66a915be01a22906bacd
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Thu Jun 23 17:40:35 2016 +0200

    spectre-gs: Add a method to get the libgs version

 libspectre/spectre-gs.c | 11 +++++++++++
 libspectre/spectre-gs.h |  2 +-
 2 files changed, 12 insertions(+), 1 deletion(-)

commit 34a52f30400aab1c21c69c31122d496751d7d99e
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Sat Apr 2 11:15:38 2016 +0200

    Fix the build with Ghostscript >= 9.18

 libspectre/spectre-gs.c | 11 +++++++++++
 1 file changed, 11 insertions(+)

commit ebbff50f9a32725e6533130e235ebabbb1cd6e84
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Wed Sep 3 17:20:33 2014 +0200

    Revert "Rotate documents correctly"
    
    This reverts commit c0b7b178d455f00b21e6317376ab49324bddb340.

 libspectre/spectre-device.c       | 58 +++++++++++++---------------------
 libspectre/spectre-exporter-pdf.c |  4 ---
 libspectre/spectre-gs.c           | 65 ++++++---------------------------------
 libspectre/spectre-gs.h           |  6 +---
 4 files changed, 31 insertions(+), 102 deletions(-)

commit c0b7b178d455f00b21e6317376ab49324bddb340
Author: Marek Kasik <mkasik@redhat.com>
Date:   Mon Jun 9 13:26:53 2014 +0200

    Rotate documents correctly
    
    Set correct size of rendered images when a rotation
    is requested. Use "rotate" command to rotate documents
    instead of setting of "Orientation". Adjust offsets
    accordingly. Don't execute "setpagedevice" when rendering
    to "display" device.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=76450

 libspectre/spectre-device.c       | 58 +++++++++++++++++++++-------------
 libspectre/spectre-exporter-pdf.c |  4 +++
 libspectre/spectre-gs.c           | 65 +++++++++++++++++++++++++++++++++------
 libspectre/spectre-gs.h           |  6 +++-
 4 files changed, 102 insertions(+), 31 deletions(-)

commit 3e104448c4f532802dfaf30a42618bc09be99159
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Sat Nov 3 10:54:36 2012 +0100

    build: Use CPPFLAGS instead of CFLAGS for compiling flags
    
    https://bugs.freedesktop.org/show_bug.cgi?id=56481

 libspectre/Makefile.am |  5 +----
 test/Makefile.am       | 10 ++++------
 2 files changed, 5 insertions(+), 10 deletions(-)

commit 6f6a8c2f9d921185a1403be27ec013d9f48a8cbf
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Sat Nov 3 10:45:01 2012 +0100

    ps: Fix comparison between signed and unsigned compile warning
    
    https://bugs.freedesktop.org/show_bug.cgi?id=56476

 libspectre/ps.c | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit e02ef42c0725935fce74415cc48fa5f50ec6d023
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Wed Aug 8 17:21:55 2012 +0200

    Update for release 0.2.7

 NEWS         | 10 ++++++++++
 configure.ac |  4 ++--
 2 files changed, 12 insertions(+), 2 deletions(-)

commit b2d0de2665baead41e86f40fb51260e9a94c2210
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Wed Aug 8 16:43:57 2012 +0200

    build: Don't use global INCLUDES var in makefiles

 libspectre/Makefile.am | 12 ++++++------
 test/Makefile.am       | 19 +++++++++++++------
 2 files changed, 19 insertions(+), 12 deletions(-)

commit 8ffd9185f81cb8337cece4c8e3672d0e6a97e935
Author: Marek Kasik <mkasik@redhat.com>
Date:   Wed Nov 24 15:54:14 2010 +0100

    Allocate at least 1 page in doc->pages
    
    Allocate at least 1 page if there are no %%Pages: or %%Page: comments
    in the PS file (#31512).

 libspectre/ps.c | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit 7500e4d1ae85ecf9f61b1446e07ebb887118757c
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Sat Oct 30 15:55:18 2010 +0200

    Fix a crash with documents containing an invalid %%Pages: comment
    
    When failed to allocate memory for pages because of invalid %%Pages:
    comment, set maxpages to 0 to ignore the comment. Problem spotted
    by Marek Kasik. Fixes bug #30867.

 libspectre/ps.c | 2 ++
 1 file changed, 2 insertions(+)

commit 213dfcef5ee9e44f0f9e9026222beb0e69a4257d
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Thu Jun 10 13:20:21 2010 +0200

    Update for release 0.2.6

 NEWS         | 19 +++++++++++++++++++
 configure.ac |  4 ++--
 2 files changed, 21 insertions(+), 2 deletions(-)

commit b389eb07cf793fec3a7c7cd4c75a2752a72f51ad
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Tue Jun 1 14:39:54 2010 +0200

    Fix rendering of files with doseps header and EOF comment missing
    
    Fixes bug #27830.

 libspectre/ps.c | 9 ++++++++-
 1 file changed, 8 insertions(+), 1 deletion(-)

commit 64405a78fdce7e028d91bdc68ab497d4c8a53bf0
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Tue Jun 1 11:35:34 2010 +0200

    Add --enable-iso-c configure option disabled by default
    
    It uses, if available, -ansic and -pedantic flags. See bug #27735

 configure.ac | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

commit 8e28de56006377184aa2ac2220afd82c9a2431d1
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Tue Jun 1 11:09:57 2010 +0200

    Remove unneeded #include
    
    See bug #27734.

 libspectre/spectre-device.c | 1 -
 1 file changed, 1 deletion(-)

commit 4bcf3ff07f962712f71b2dc6dbd5f7e8f95e566a
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Tue Jun 1 11:01:29 2010 +0200

    Make Ghostscript not look first in the current directory for library files

 libspectre/spectre-device.c       | 3 ++-
 libspectre/spectre-exporter-pdf.c | 5 +++--
 2 files changed, 5 insertions(+), 3 deletions(-)

commit ee8c5a19138f33dd4c40da4e3def16eba48eccc1
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Sun Apr 18 19:01:01 2010 +0200

    Update for release 0.2.5

 NEWS         | 16 ++++++++++++++++
 configure.ac |  4 ++--
 2 files changed, 18 insertions(+), 2 deletions(-)

commit 233babb7bf516aac10b853785b8d22c7d6fa777e
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Sun Apr 18 18:28:34 2010 +0200

    Use %I64x format for DisplayHandle on Windows 64 bits

 libspectre/spectre-device.c | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

commit ce55aa1110f3b933943a92ecd0a948d017cdb492
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Tue Apr 6 17:24:59 2010 +0200

    Fix a crash in pdf exporter when rendering fails

 libspectre/spectre-exporter-pdf.c | 6 ++++++
 1 file changed, 6 insertions(+)

commit 35aa9dfac2631de24a40d95d1469acb52f379249
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Sun Mar 28 13:18:38 2010 +0200

    Use the correct format string for DisplayHandle arg depending on the platform

 libspectre/spectre-device.c | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

commit 75a268029e803a34ce93b7094809ee15be0a9c08
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Sun Feb 21 20:49:15 2010 +0100

    Update for release 0.2.4

 NEWS         | 15 +++++++++++++++
 configure.ac |  4 ++--
 2 files changed, 17 insertions(+), 2 deletions(-)

commit 6dc6c41ba977e8bee0fd71f3db4c3c92287ee71f
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Sun Feb 21 17:49:05 2010 +0100

    Fix compile warning

 libspectre/spectre-render-context.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 51c6a92e7bf7261a19eb1d9e776ce11957c213c4
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Sun Feb 21 17:46:17 2010 +0100

    Use AM_SILENT_RULES when available

 autogen.sh   | 10 +++++-----
 configure.ac |  2 ++
 2 files changed, 7 insertions(+), 5 deletions(-)

commit 8a720825f6ee77d6945833c59609f6a9141dad19
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Sun Feb 21 17:24:54 2010 +0100

    Use spectre_gs_process() instead of spectre_gs_send_page() in pdf exporter
    
    When rendering with the display device we use a new gs instance for
    every page and we have to process prolog, setup and trailer for every
    page. PDF exporter is different, we use a single gs instance created in
    exporter_pdf_begin() and destroyed in exporter_pdf_end(). Now we use
    spectre_gs_process() to send prolog and setup in begin() and trailer in
    end() so that we just send the page contents in do_page().
    Fixes bug #26592.

 libspectre/spectre-exporter-pdf.c | 43 ++++++++++++++++++++++++++++++++++++---
 1 file changed, 40 insertions(+), 3 deletions(-)

commit 18a4e6d9746614227b404df4399471d2a2858f1f
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Sun Feb 21 17:22:07 2010 +0100

    Make spectre_gs_process() public so that it can be used by exporters
    
    It's public in the internal private API

 libspectre/spectre-gs.c | 2 +-
 libspectre/spectre-gs.h | 6 ++++++
 2 files changed, 7 insertions(+), 1 deletion(-)

commit d25e37b5e52d83af50924a548da6f10983960735
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Sun Feb 21 13:22:18 2010 +0100

    Ignore page order parameter of %%Pages if there's a %%PageOrder comment
    
    It caused problems in documents where there's a %%PageOrder after the
    %%Pages comment. See evince bug https://bugzilla.gnome.org/show_bug.cgi?id=585436

 libspectre/ps.c | 3 ---
 1 file changed, 3 deletions(-)

commit b039f45f826e4516b8717d0bcfbee692fab4d385
Author: Hib Eris <hib@hiberis.nl>
Date:   Tue Feb 2 11:38:04 2010 +0100

    Add -no-undefined to LDFLAGS for building w32 dll

 libspectre/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a03d49102e2d83b1ee008296da426b67e5585302
Author: Hib Eris <hib@hiberis.nl>
Date:   Tue Feb 2 11:13:53 2010 +0100

    Use _vscprintf instead of vsnprintf when available
    
    On Windows, if output was truncated, vsnprintf() does not return
    the number of characters which would have been written to the string
    if enough space had been available.
    
    To work around this, use _vcsprintf() instead.

 configure.ac               | 2 ++
 libspectre/spectre-utils.c | 8 +++++++-
 2 files changed, 9 insertions(+), 1 deletion(-)

commit 5f261f571d1cd6bbd6dd12ca5eacb0edc79ebc06
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Fri Dec 11 14:05:21 2009 +0100

    Skip documents in the Prolog like Resource-Font
    
    Fixes bug #25573.

 libspectre/ps.c | 14 ++++++++++++++
 1 file changed, 14 insertions(+)

commit 889996f195d0a432f1e2a72645d6700aab96764c
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Oct 19 21:04:11 2009 +0200

    fix some warnings of sscanf scanning signed but ending up in unsigned

 libspectre/ps.c | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit fb787ddb26d471707f036e72e27a095976b8ee2a
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Oct 19 21:03:24 2009 +0200

    commit some more warning flags

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 5acf95a74ec2e4940818a50e59e50f5ec1175b39
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Sun Oct 18 16:52:00 2009 +0200

    Update for release 0.2.3

 NEWS         | 27 +++++++++++++++++++++++++++
 configure.ac |  4 ++--
 2 files changed, 29 insertions(+), 2 deletions(-)

commit a25264c609f2d2cc6a837aef6744f58a5f04064f
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Sun Oct 18 16:15:30 2009 +0200

    Use git tag instead of deprecated git-tag

 Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 8430f85ec06e946ac213cda3ad565f12ae7985af
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Sat Oct 10 12:47:15 2009 +0200

    Remove internal copy of ghostscript headers
    
    They should be intalled by ghostscript since version 8.62.

 configure.ac                       |   1 -
 libspectre/Makefile.am             |   2 -
 libspectre/ghostscript/Makefile.am |   4 -
 libspectre/ghostscript/gdevdsp.h   | 266 --------------------------------
 libspectre/ghostscript/iapi.h      | 300 -------------------------------------
 libspectre/ghostscript/ierrors.h   | 153 -------------------
 6 files changed, 726 deletions(-)

commit 24d97577878a227f1bef88a348f7ac329c5d57ba
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Sat Oct 10 12:41:17 2009 +0200

    Bump gs requirement to 8.62

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 40c65518c160e501f890863827074d11aa72ee7f
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Sat Oct 10 11:44:47 2009 +0200

    [psgetpagebbox] return true if any of the coords are != 0 instead of all of them
    
    Fixes bug #24132.

 libspectre/ps.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 077182e1fe53131d7c88cc1a0f278403e60bdc32
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Fri Sep 11 11:49:02 2009 +0200

    Add missing first argument in exporter pdf

 libspectre/spectre-exporter-pdf.c | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 0956b7efc4bec37fd8483e1fac0b710c66bd42cb
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Sun Sep 6 11:08:56 2009 +0200

    Revert "Skip nested documents that don't have BeginDocument and EndDocument but have %PS and %%EOF"
    
    This reverts commit d2a3abcc066330f893fa53dee8ad71dbc452d95a. This is
    causing other bugs (see bug #23456) and it doesn't seem to be fixing
    anything important.

 libspectre/ps.c | 17 -----------------
 1 file changed, 17 deletions(-)

commit 724d7e41a2d54ec4a23e68622bc1a2926e3d677e
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Tue Jun 16 17:04:35 2009 +0200

    Run ghostscript always with -dSAFER option

 libspectre/spectre-device.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 89d7727b2a356a0de166a3072d3240249692210b
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Tue Apr 21 11:01:24 2009 +0200

    Fix documents with PJL commands before the initial DSC comments
    
    When using readline to skip the PJL commands, the whole document is
    skipped because readline considers %PS comments as a nested document. We
    need to unconditionally skip the lines until the first DSC command is
    found and continue with the parsing normally.

 libspectre/ps.c | 41 ++++++++++++++++++++++++++++++++++++++++-
 1 file changed, 40 insertions(+), 1 deletion(-)

commit 93d6425bf323b2f0c7846a179e7b77de4d64eab9
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Sun Apr 19 17:01:49 2009 +0200

    Make sure document media struct contents are never used uninitialized
    
    Based on a patch by Alexander Myltsev <avm@altlinux.org>. See bug #18685

 libspectre/ps.c | 57 +++++++++++++++++++++++++++++++--------------------------
 1 file changed, 31 insertions(+), 26 deletions(-)

commit 42df22b63cafbb4f7f9aa1e3ddc4df61a71a072b
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Sun Apr 19 15:47:01 2009 +0200

    Improve detection of invalid PS files
    
    A document scanned without errors with no pages and no format is likely
    to be an invalid file, or not a PostScript file at all. Since this
    cannot be detected by the scanner, in this particular case, we try to
    render the document to set SPECTRE_STATUS_LOAD_ERROR in case it fails to
    render. Fixes bug #19042.

 libspectre/spectre-document.c | 16 +++++++++++++++-
 1 file changed, 15 insertions(+), 1 deletion(-)

commit 38d9d955cf7a6baed877331d60837d9ce1b853c3
